class WeaponReplacements extends Object;

struct SWeapReplace
{
	var const class<KFWeaponDefinition> WeapDef;
	var const class<KFWeaponDefinition> WeapDefParent;
	var const class<KFWeapon>           Weap;
	var const class<KFWeapon>           WeapParent;
};

var public const Array<SWeapReplace> List;

// Example defaultproperties:
/*
List.Add({(
	WeapDef=class'CTI_WeapDef_AutoTurret',
	WeapDefParent=class'KFWeapDef_AutoTurret',
	Weap=class'CTI_Weap_AutoTurret',
	WeapParent=class'KFWeap_AutoTurret'
)})
List.Add({(
	WeapDef=class'CTI_WeapDef_BladedPistol',
	WeapDefParent=class'KFWeapDef_BladedPistol',
	Weap=class'CTI_Weap_Pistol_Bladed',
	WeapParent=class'KFWeap_Pistol_Bladed'
)})
*/

defaultproperties
{

}
